﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /9500
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /9500
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /9500
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
DATE:                  2011-01-18 09:52:14
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       16
NUMBER OF LINES:       532
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#        TDS1000B-SC Series
#          TDS 1001B-SC, TDS 1002B-SC, TDS 1012B-SC
#        TDS1000C-SC Series
#          TDS 1001C-SC, TDS 1002C-SC, TDS 1012C-SC
#        TDS2000C Series
#          TDS 2001C, TDS2004C, TDS2002C, TDS2014C, TDS2012C
#          TDS2024C, TDS2022C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  VISA         *RST;HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek TDS1000B/2000B Select Channel VISA

  1.003  JMPL         DCV_MEAS                     PSUBI("DCV Meas")
  1.004  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.005  JMPL         TRIGGER                      PSUBI(" Trig Sens")
  1.006  JMPL         SAMPLE_RATE                  PSUBI("Sample Rate")
  1.007  DISP         {Undefined subprocedure!}
  1.008  END

  1.009  EVAL   Increment step number

# ************************* DC Voltage Measurement  **************************

  2.001  LABEL        DCV_MEAS
  2.002  HEAD         CH [V @Chan] DC GAIN ACCURACY

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =DC GAIN ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  RSLT         =
  2.010  RSLT         = 5 mV/div
  2.011  TARGET       -p

  2.012  IF           @NumHeads == 1
  2.013  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.014  DISP         Connect the CH 1 Active Head to UUT CH [V @Chan].

  2.015  ELSEIF       @Chan == 1 && @NumHeads == 2
  2.016  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.017  DISP         Connect the 9500 to the UUT as follows:
  2.017  DISP         [32] CH 1 Active Head to UUT CH 1
  2.017  DISP         [32] CH 2 Active Head to UUT CH 2

  2.018  ELSEIF       @Chan == 1 && @NumHeads == 3
  2.019  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]

  2.020  IF           @UsingPowerSplitter
  2.021  DISP         Connect the 9500 to the UUT as follows:
  2.021  DISP         [32] CH 1 Active Head to UUT CH 1
  2.021  DISP         [32] CH 2 Active Head to UUT CH 2
  2.022  ELSE
  2.023  DISP         Connect the 9500 to the UUT as follows:
  2.023  DISP         [32] CH 1 Active Head to UUT CH 1
  2.023  DISP         [32] CH 2 Active Head to UUT CH 2
  2.023  DISP         [32] CH 3 Active Head to UUT EXT TRIG
  2.024  ENDIF

  2.025  ELSEIF       @Chan == 1 && @NumHeads == 4
  2.026  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.027  DISP         Connect the 9500 to the UUT as follows:
  2.027  DISP         [32] CH 1 Active Head to UUT CH 1
  2.027  DISP         [32] CH 2 Active Head to UUT CH 2
  2.027  DISP         [32] CH 3 Active Head to UUT CH 3
  2.027  DISP         [32] CH 4 Active Head to UUT CH 4

  2.028  ELSEIF       @Chan == 1 && @NumHeads == 5
  2.029  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]

  2.030  IF           @UsingPowerSplitter
  2.031  DISP         Connect the 9500 to the UUT as follows:
  2.031  DISP         [32] CH 1 Active Head to UUT CH 1
  2.031  DISP         [32] CH 2 Active Head to UUT CH 2
  2.031  DISP         [32] CH 3 Active Head to UUT CH 3
  2.031  DISP         [32] CH 4 Active Head to UUT CH 4
  2.032  ELSE
  2.033  DISP         Connect the 9500 to the UUT as follows:
  2.033  DISP         [32] CH 1 Active Head to UUT CH 1
  2.033  DISP         [32] CH 2 Active Head to UUT CH 2
  2.033  DISP         [32] CH 3 Active Head to UUT CH 3
  2.033  DISP         [32] CH 4 Active Head to UUT CH 4
  2.033  DISP         [32] CH 5 Active Head to UUT EXT TRIG
  2.034  ENDIF

  2.035  ENDIF

  2.036  HEAD         -2 5 mV/div
  2.037  VISA         CH[V @Chan]:PRO 1;SCA 5E-3
  2.038  VISA         ACQ:MOD AVE;NUMAV 16
  2.039  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN;*OPC?[I!]
  2.040  TARGET       -m
  2.041  9500         17.5mV                                            S
# Retrieve the accuracy of positive output of calibrator.
  2.042  MATH         PosAcc = ACCV("Datron 9500", "Volts", MEM1 * 1E-3)
  2.043  WAIT         -t 7 Settling...
  2.044  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  2.045  MATH         PosValue = MEM / 1E-3
  2.046  9500         -17.5mV                                           S
# Retrieve the accuracy of negative output of calibrator.
  2.047  MATH         NegAcc = ACCV("Datron 9500", "Volts", MEM1 * 1E-3)
  2.048  WAIT         -t 7 Settling...
  2.049  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  2.050  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to 95% confidence level.
  2.051  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
# Setup system accuracy.
  2.052  MATH         L[1] = L[1] / 1E-3
  2.053  ACC          35.0mV         L1U
  2.054  MATH         MEM = PosValue - NegValue
  2.055  MEMCX        35.0mV         1.4U

  3.001  RSLT         =
  3.002  HEAD         -2{ 200 mV/div}
  3.003  TARGET       -p
  3.004  VISA         CH[V @Chan]:SCA 200E-3;*OPC?[I!]
  3.005  TARGET       -m
  3.006  9500         700mV                                             S
  3.007  MATH         PosAcc = ACCV("Datron 9500", "Volts", MEM1 * 1E-3)
  3.008  WAIT         -t 7 Settling...
  3.009  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  3.010  MATH         PosValue = MEM / 1E-3
  3.011  9500         -700mV                                            S
  3.012  MATH         NegAcc = ACCV("Datron 9500", "Volts", MEM1 * 1E-3)
  3.013  WAIT         -t 7 Settling...
  3.014  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  3.015  MATH         NegValue = MEM / 1E-3
  3.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
  3.017  MATH         L[1] = L[1] / 1E-3
  3.018  ACC          1400mV         L1U
  3.019  MATH         MEM = PosValue - NegValue
  3.020  MEMCX        mV             42U

  4.001  RSLT         =
  4.002  HEAD         -2{ 2 V/div}
  4.003  TARGET       -p
  4.004  VISA         CH[V @Chan]:SCA 2;*OPC?[I!]
  4.005  TARGET       -m
  4.006  9500         7.00V                                             S
  4.007  MATH         PosAcc = ACCV("Datron 9500", "Volts", MEM1)
  4.008  WAIT         -t 7 Settling...
  4.009  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  4.010  MATH         PosValue = MEM
  4.011  9500         -7.00V                                            S
  4.012  MATH         NegAcc = ACCV("Datron 9500", "Volts", MEM1)
  4.013  WAIT         -t 7 Settling...
  4.014  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  4.015  MATH         NegValue = MEM
  4.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
  4.017  ACC          14.00V         L1U
  4.018  MATH         MEM = PosValue - NegValue
  4.019  MEMCX        V              0.42U

  5.001  HEAD         -2
  5.002  HEAD
  5.003  9500         *                                                 S
  5.004  END

  5.005  EVAL   Increment step number

# ********************************* Bandwidth  *******************************

  6.001  LABEL        BANDWIDTH
  6.002  HEAD         CH [V @Chan] BANDWIDTH

  6.003  IF           @Chan == 1
  6.004  RSLT         =
  6.005  RSLT         =BANDWIDTH
  6.006  ENDIF

  6.007  RSLT         =
  6.008  RSLT         =Channel [V @Chan]
  6.009  HEAD         -2 500 mV/div
  6.010  TARGET
  6.011  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  6.012  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16;STATE ON
  6.013  VISA         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  6.014  VISA         HOR:SCA 10E-6
  6.015  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2;*OPC?[I!]

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.98 V and 3.02 V.
  6.016  MATH         MEM = 3; MEM1 = MEM

  6.017  DO
  6.018  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.019  IF           MEM > 5.56 || MEM < 0.00444
  6.020  MATH         MEM = 3
  6.021  ENDIF

  6.022  9500         Vpp                          50kH           LS    S
  6.023  VISA         TRIG:MAI SETL;*OPC?[I!]
  6.024  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  6.025  UNTIL        (MEM >= 2.98) && (MEM <= 3.02)

  6.026  VISA         HOR:SCA 10E-9;*OPC?[I!]
# Last calibrator amplitude setting is in MEM1.
  6.027  MATH         MEM = MEM1

  6.028  IF           @Bandwidth == 40E+6
  6.029  9500         Vpp                          40MH           LS    S
  6.030  ELSEIF       @Bandwidth == 50E+6
  6.031  9500         Vpp                          50MH           LS    S
  6.032  ELSEIF       @Bandwidth == 60E+6
  6.033  9500         Vpp                          60MH           LS    S
  6.034  ELSEIF       @Bandwidth == 70E+6
  6.035  9500         Vpp                          70MH           LS    S
  6.036  ELSEIF       @Bandwidth == 100E+6
  6.037  9500         Vpp                          100MH          LS    S
  6.038  ELSEIF       @Bandwidth == 200E+6
  6.039  9500         Vpp                          200MH          LS    S
  6.040  ENDIF

  6.041  WAIT         -t 5 System settling...
  6.042  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  6.043  EVAL   -e MEM >= 2.12 : [32]500 mV/div, >= 2.12 Vpp

  7.001  HEAD         -2
  7.002  HEAD
  7.003  9500         *                                                 S
  7.004  END

  7.005  EVAL   Increment step number

# ********************************** Trigger  ********************************

  8.001  LABEL        TRIGGER
  8.002  HEAD         CH [V @Chan] EDGE-TRIGGER SENSITIVITY

  8.003  IF           @Chan == 1
  8.004  RSLT         =
  8.005  RSLT         =EDGE-TRIGGER SENSITIVITY
  8.006  ENDIF

  8.007  RSLT         =
  8.008  RSLT         =Channel [V @Chan]

  8.009  HEAD         -2 Rising Slope, 1 div at 10 MHz
  8.010  TARGET
  8.011  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  8.012  VISA         TRIG:MAI:MOD NORM;EDGE:SOU CH[V @Chan]
  8.013  VISA         HOR:SCA 25E-9
  8.014  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  8.015  VISA         ACQ:MOD SAMP;STATE ON;*OPC?[I!]

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1000 mV (twice of required test signal).
  8.016  MATH         MEM = 1000; MEM1 = MEM

  8.017  DO
  8.018  MATH         MEM = MEM1 + (1000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.019  IF           MEM > 5560 || MEM < 4.44
  8.020  MATH         MEM = 1000
  8.021  ENDIF

  8.022  DO
  8.023  9500         mVpp                         10MH           LS    S
  8.024  VISA         [D1000]TRIG:MAI SETL;*OPC?[I!]
# Check the status of trigger
  8.025  VISA         [D500]TRIG:STATE?[I$]
  8.026  UNTIL        FINDI(MEM2, "TRIG", 1)

  8.027  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  8.028  MATH         MEM = MEM / 1E-3
  8.029  UNTIL        (MEM >= 980) && (MEM <= 1020)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 500 mVpp that is just the required test signal for trig
# sensitivity (1 div at 10 MHz).
  8.030  MATH         MEM = MEM1 / 2
  8.031  9500         mVpp                         10MH           LS    S
  8.032  MATH         mVppStd = MEM1
  8.033  VISA         TRIG:MAI SETLEV;*OPC?[I!]
# Save the peak value of signal for later checking the trigger status.
  8.034  MATH         @PeakValue = mVppStd / 2 * 1E-3
  8.035  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
  8.036  MATH         RsltStr = " Rising Slope, 1 div at 10 MHz"
  8.037  EVAL   -e @Triggered : [V RsltStr]

  9.001  HEAD         -2 Falling Slope, 1 div at 10 MHz
  9.002  MATH         MEM = mVppStd
  9.003  9500         mVpp                         10MH           LS    S
  9.004  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
  9.005  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
  9.006  MATH         RsltStr = " Falling Slope, 1 div at 10 MHz"
  9.007  EVAL   -e @Triggered : [V RsltStr]

 10.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]

 10.002  IF           @Bandwidth == 40E+6
 10.003  MATH         FreqMHz = "40 MHz"
 10.004  ELSEIF       @Bandwidth == 50E+6
 10.005  MATH         FreqMHz = "50 MHz"
 10.006  ELSEIF       @Bandwidth == 60E+6
 10.007  MATH         FreqMHz = "60 MHz"
 10.008  ELSEIF       @Bandwidth == 70E+6
 10.009  MATH         FreqMHz = "70 MHz"
 10.010  ELSEIF       @Bandwidth >= 100E+6
 10.011  MATH         FreqMHz = "100 MHz"
 10.012  ENDIF

 10.013  HEAD         -2 Rising Slope, 1.5 div at [V FreqMHz]
 10.014  VISA         HOR:SCA 10E-9;*OPC?[I!]

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (twice of required test signal).
 10.015  MATH         MEM = 1500; MEM1 = MEM

 10.016  DO
 10.017  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.018  IF           MEM > 5560 || MEM < 4.44
 10.019  MATH         MEM = 1500
 10.020  ENDIF

 10.021  DO

 10.022  IF           @Bandwidth == 40E+6
 10.023  9500         mVpp                         40MH           LS    S
 10.024  ELSEIF       @Bandwidth == 50E+6
 10.025  9500         mVpp                         50MH           LS    S
 10.026  ELSEIF       @Bandwidth == 60E+6
 10.027  9500         mVpp                         60MH           LS    S
 10.028  ELSEIF       @Bandwidth == 70E+6
 10.029  9500         mVpp                         70MH           LS    S
 10.030  ELSEIF       @Bandwidth >= 100E+6
 10.031  9500         mVpp                         100MH          LS    S
 10.032  ENDIF

 10.033  VISA         [D1000]TRIG:MAI SETL;*OPC?[I!]
# Check the status of trigger
 10.034  VISA         [D500]TRIG:STATE?[I$]
 10.035  UNTIL        FINDI(MEM2, "TRIG", 1)

 10.036  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
 10.037  MATH         MEM = MEM / 1E-3
 10.038  UNTIL        (MEM >= 1480) && (MEM <= 1620)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 750 mVpp that is just the required test signal for trig
# sensitivity (1.5 div at specific frequency).
 10.039  MATH         MEM = MEM1 / 2

 10.040  IF           @Bandwidth == 40E+6
 10.041  9500         mVpp                         40MH           LS    S
 10.042  ELSEIF       @Bandwidth == 50E+6
 10.043  9500         mVpp                         50MH           LS    S
 10.044  ELSEIF       @Bandwidth == 60E+6
 10.045  9500         mVpp                         60MH           LS    S
 10.046  ELSEIF       @Bandwidth == 70E+6
 10.047  9500         mVpp                         70MH           LS    S
 10.048  ELSEIF       @Bandwidth >= 100E+6
 10.049  9500         mVpp                         100MH          LS    S
 10.050  ENDIF

 10.051  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 10.052  MATH         @PeakValue = mVppStd / 2 * 1E-3
 10.053  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 10.054  MATH         RsltStr = " Rising Slope, 1.5 div at " & FreqMHz
 10.055  EVAL   -e @Triggered : [V RsltStr]

 11.001  HEAD         -2 Falling Slope, 1.5 div at [V FreqMHz]
 11.002  MATH         MEM = mVppStd

 11.003  IF           @Bandwidth == 40E+6
 11.004  9500         mVpp                         40MH           LS    S
 11.005  ELSEIF       @Bandwidth == 50E+6
 11.006  9500         mVpp                         50MH           LS    S
 11.007  ELSEIF       @Bandwidth == 60E+6
 11.008  9500         mVpp                         60MH           LS    S
 11.009  ELSEIF       @Bandwidth == 70E+6
 11.010  9500         mVpp                         70MH           LS    S
 11.011  ELSEIF       @Bandwidth >= 100E+6
 11.012  9500         mVpp                         100MH          LS    S
 11.013  ENDIF

 11.014  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
 11.015  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 11.016  MATH         RsltStr = " Falling Slope, 1.5 div at " & FreqMHz
 11.017  EVAL   -e @Triggered : [V RsltStr]

 12.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]

# For UUT whose bandwidth is 200 MHz do additional test.
 12.002  IF           @Bandwidth == 200E+6
 12.003  HEAD         -2 Rising Slope, 2 div at 200 MHz
# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (1.5 times of required test signal).
 12.004  MATH         MEM = 1500; MEM1 = MEM

 12.005  DO
 12.006  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.007  IF           MEM > 5560 || MEM < 4.44
 12.008  MATH         MEM = 1500
 12.009  ENDIF

 12.010  DO
 12.011  9500         mVpp                         200MH          LS    S
 12.012  VISA         [D1000]TRIG:MAI SETL;*OPC?[I!]
# Check the status of trigger
 12.013  VISA         [D500]TRIG:STATE?[I$]
 12.014  UNTIL        FINDI(MEM2, "TRIG", 1)

 12.015  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
 12.016  MATH         MEM = MEM / 1E-3
 12.017  UNTIL        (MEM >= 1480) && (MEM <= 1620)

# Then attenuate the output of calibrator so the input of UUT is approximately
# 1000 mVpp that is just the required test signal for trig sensitivity (2 div
# at 200 MHz).
 12.018  MATH         MEM = MEM1 / 1.5
 12.019  9500         mVpp                         200MH          LS    S
 12.020  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 12.021  MATH         @PeakValue = mVppStd / 2 * 1E-3
 12.022  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 12.023  MATH         RsltStr = " Rising Slope, 2 div at 200 MHz"
 12.024  EVAL   -e @Triggered : [V RsltStr]

 13.001  HEAD         -2 Falling Slope, 2 div at 200 MHz
 13.002  MATH         MEM = mVppStd
 13.003  9500         mVpp                         200MH          LS    S
 13.004  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
 13.005  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
 13.006  MATH         RsltStr = " Falling Slope, 2 div at 200 MHz"
 13.007  EVAL   -e @Triggered : [V RsltStr]

 14.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]
 14.002  ENDIF

 14.003  HEAD         -2
 14.004  HEAD
 14.005  9500         *                                                 S
 14.006  END

 14.007  EVAL   Increment step number

# ******************************* Sample Rate *****************************

 15.001  LABEL        SAMPLE_RATE
 15.002  RSLT         =
 15.003  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
 15.004  TARGET
 15.005  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
 15.006  VISA         HOR:SCA 1E-3
 15.007  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2;*OPC?[I!]
 15.008  9500         10mT                         1Vpp           M2    S
 15.009  WAIT         -t 2 System settling...
 15.010  VISA         TRIG:MAI SETLEV
 15.011  VISA         HOR:POS 10E-3;SCA 250E-9;*OPC?[I!]
 15.012  MESS         Does the rising edge of the marker cross the center
 15.012  MESS         horizontal graticule line within ±2 divisions of
 15.012  MESS         center graticule?
 15.013  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

 16.001  MESS
 16.002  HEAD
 16.003  9500         *                                                 S
 16.004  END
